
use `qc`;
-- 执行前请看注意事项！
-- 操作日志相关配置
-- 注意


/**
sys_login_log 系统登录日志表
 */
DROP TABLE IF EXISTS `sys_login_log`;
CREATE TABLE `sys_login_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `login_id` bigint(20) NOT NULL COMMENT '登录用户ID',
  `login_name` varchar(64) NOT NULL COMMENT '登录用户名',
  `login_date` datetime NOT NULL COMMENT '登录日期',
  `login_ip` bigint(10) unsigned NOT NULL DEFAULT '0' COMMENT '登录ip',
  `login_address` varchar(64) DEFAULT NULL COMMENT '登录ip地址',
  `login_browser` varchar(64) DEFAULT NULL COMMENT '浏览器',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(32) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(32) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=391 DEFAULT CHARSET=utf8 COMMENT='系统登录日志表';



/**
sys_operation_log 系统操作日志表
 */
DROP TABLE IF EXISTS `sys_operation_log`;
CREATE TABLE `sys_operation_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `operation_id` bigint(20) DEFAULT NULL COMMENT '操作人用户ID',
  `operation_name` varchar(64) DEFAULT NULL COMMENT '操作人用户名',
  `operation_date` datetime NOT NULL COMMENT '操作日期',
  `operation_record` varchar(256) DEFAULT NULL COMMENT '操作记录',
  `operation_ip` bigint(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ip地址',
  `operation_address` varchar(64) DEFAULT NULL COMMENT '操作地址',
  `operation_method` varchar(256) NOT NULL COMMENT '操作方法',
  `operation_way` varchar(32) NOT NULL COMMENT '操作请求方式',
  `operation_url` varchar(256) NOT NULL COMMENT '操作url',
  `operation_param` longtext COMMENT '操作参数',
  `json_result` longtext COMMENT '返回参数',
  `is_placefile` varchar(2) NOT NULL DEFAULT '0' COMMENT '是否归档（0：未归档，1：已归档）',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(32) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(32) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25285 DEFAULT CHARSET=utf8 COMMENT='系统操作日志表';


/**
sys_menu 添加操作日志相关菜单
 */

INSERT INTO `sys_menu` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '日志管理', '-1', 'YH-RZGL', '1', '1', '17', '用户-日志管理');
INSERT INTO `sys_menu` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '操作日志', '130', 'YH-RZGL-CZRZ', '1', '1', '1', '用户-日志管理-操作日志');
INSERT INTO `sys_menu` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '登录日志', '130', 'YH-RZGL-DLRZ', '1', '1', '1', '用户-日志管理-登录日志');
