package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 医生质控平均分-患者列表（等级）-接口出参
 * @Author songxl
 * @Date 2022/4/11 9:20
 */
@ApiModel(value = "医生质控平均分-患者列表（等级）-接口出参")
@Getter
@Setter
public class DoctorAverageLevelDTO implements Serializable {
    private static final long serialVersionUID = 4875168077452918044L;

    @ApiModelProperty(value = "科室")
    private String behDeptName;

    @ApiModelProperty(value = "主管医生")
    private String doctorName;

    @ApiModelProperty(value = "住院医生姓名")
    private String behDoctorName;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "档案号")
    private String fileCode;

    @ApiModelProperty(value = "年龄")
    private String age = "";

    @ApiModelProperty(value = "入院时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    @ApiModelProperty(value = "出院时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "最后得分")
    private Double scoreRes;

    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "评分时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;

    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    @ApiModelProperty(value = "病区名称")
    private String wardName;

    @ApiModelProperty(value = "床位号")
    private String bedCode;

    @ApiModelProperty(value = "疾病名称")
    private String diagnose;


    @ApiModelProperty(value = "病案首页得分")
    private Double scoreBn;

    @ApiModelProperty(value = "评分类型(1：机器，2：人工)")
    private String gradeType;

    @ApiModelProperty(value = "主任医生")
    private String directorDoctorName;



    @ApiModelProperty(value = "归档时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date placefileDate;

    @ApiModelProperty(value = "病历核查状态")
    private Integer checkStatus;

    @ApiModelProperty(value = "病案首页核查状态")
    private Integer mrStatus;

    @ApiModelProperty(value = "病历核查人")
    private String chName;

    @ApiModelProperty(value = "病案首页核查人")
    private String mrName;

    @ApiModelProperty(value = "病历核查时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chTime;

    @ApiModelProperty(value = "病案首页核查时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date mrTime;
}
