package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 医生质控平均分页面统计-接口出参
 * @Author songxl
 * @Date 2022/4/8 13:20
 */
@ApiModel(value = "医生质控平均分页面统计-接口出参")
@Getter
@Setter
public class DoctorAverageStatisticsDTO implements Serializable {
    private static final long serialVersionUID = 981655366059103193L;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "科室id")
    private String deptId;

    @ApiModelProperty(value = "医生名称")
    private String doctorName;

    @ApiModelProperty(value = "医生工号")
    private String doctorId;

    @ApiModelProperty(value = "缺陷条目数")
    private Integer entryNum = 0;

    @ApiModelProperty(value = "质控评分（平均分）")
    private Double averageValue = 0d;

    @ApiModelProperty(value = "甲级病历数")
    private Integer firstLevelStrNum = 0;

    @ApiModelProperty(value = "乙级病历数")
    private Integer secondLevelStrNum = 0;

    @ApiModelProperty(value = "丙级病历数")
    private Integer thirdLevelStrNum = 0;


}
