package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 医生质控平均分页面统计-导出-接口出参
 * @Author songxl
 * @Date 2022/4/8 13:20
 */
@ApiModel(value = "医生质控平均分页面统计-导出-接口出参")
@Getter
@Setter
public class ExportDoctorAverageStatisticsDTO implements Serializable {
    private static final long serialVersionUID = 981655366059103193L;

    @Excel(name = "科室")
    private String deptName;


    @Excel(name = "医生姓名")
    private String doctorName;

    @Excel(name = "医生工号")
    private String doctorId;

    @Excel(name = "缺陷总数")
    private Integer entryNum = 0;

    @Excel(name = "质控平均分")
    private Double averageValue = 0d;

    @Excel(name = "甲级病历数")
    private Integer firstLevelStrNum = 0;

    @Excel(name = "乙级病历数")
    private Integer secondLevelStrNum = 0;

    @Excel(name = "丙级病历数")
    private Integer thirdLevelStrNum = 0;


}
