package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description: 申诉审核内容对象
 * @Author songxl
 */
@Data
public class GetAppealInfoDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别（男，女）")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "住院科室ID")
    private String deptId;

    @ApiModelProperty(value = "住院科室名称")
    private String deptName;

    @ApiModelProperty(value = "主管医生ID")
    private String doctorId;

    @ApiModelProperty(value = "主管医生ID")
    private String doctorName;

    @ApiModelProperty(value = "入院时间")
    private Date behospitalDate;

    @ApiModelProperty(value = "出院时间")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "申诉模块id")
    private Long modeId;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "病历内容")
    private String defectContent;

    @ApiModelProperty(value = "质控缺陷id")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "缺陷详情")
    private String qcresultDetailMsg;

    @ApiModelProperty(value = "缺陷扣分分值")
    private BigDecimal qcresultDetaiValue;

    @ApiModelProperty(value = "申诉审核记录")
    private List<AppealExamineRecordDTO> appealExamineRecordDTOList;
}
