package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 获取医生缺陷数量出参
 * @Author:zhanghang
 * @time: 2022/4/11 19:00
 */
@ApiModel(value = "获取医生缺陷数量出参-接口出参")
@Getter
@Setter
public class GetDetailRecordListPageDTO implements Serializable {

    @ApiModelProperty(value = "医院id")
    private String hospitalId;


    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "病历得分")
    private Double scoreRes;

    @ApiModelProperty(value = "病案首页得分")
    private Double scoreBn;

    @ApiModelProperty(value = "病人住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "病案号")
    private String fileCode;

    @ApiModelProperty(value = "病人姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedCode;

    @ApiModelProperty(value = "入院日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    @ApiModelProperty(value = "出院日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "归档日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date placefileDate;

    @ApiModelProperty(value = "主诊断")
    private String diagnose;

    @ApiModelProperty(value = "住院医生ID")
    private String behDoctorId;


    @ApiModelProperty(value = "住院医生姓名")
    private String behDoctorName;

    @ApiModelProperty(value = "主治医生id")
    private String doctorId;

    @ApiModelProperty(value = "主治医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "主任医生id")
    private String directorDoctorId;

    @ApiModelProperty(value = "主任医生")
    private String directorDoctorName;

    @ApiModelProperty(value = "科室编码")
    private String behDeptId;

    @Excel(name = "科室", width = 70, orderNum = "17")
    @ApiModelProperty(value = "科室名称")
    private String behDeptName;

    @ApiModelProperty(value = "评分时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;

    @ApiModelProperty(value = "评分类型")
    private Integer gradeType;

    @ApiModelProperty(value = "出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    @ApiModelProperty(value = "病区名称")
    private String wardName;

    @ApiModelProperty(value = "病历核查状态")
    private Integer checkStatus;

    @ApiModelProperty(value = "首页核查状态")
    private Integer mrStatus;

    @ApiModelProperty(value = "病历核查人员")
    private String chName;

    @ApiModelProperty(value = "首页核查人员")
    private String mrName;

    @ApiModelProperty(value = "病历核查时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chTime;

    @ApiModelProperty(value = "首页核查时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date mrTime;
}
