package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取医生缺陷列表
 * @author: zhanghang
 * @time: 2022/4/11 19:00
 */
@ApiModel(value = "获取医生缺陷列表-接口出参")
@Getter
@Setter
public class GetDoctorDetailPageDTO implements Serializable {

    @ApiModelProperty(value = "条目缺陷id")
    private Long id;

    @ApiModelProperty(value = "条目缺陷名称")
    private String name;

    @ApiModelProperty(value = "模块id")
    private Long casesId;

    @ApiModelProperty(value = "模块名称")
    private String casesName;

    @ApiModelProperty(value = "科室id")
    private String deptId;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "条目缺陷总数")
    private Integer totleNum = 0;

    @ApiModelProperty(value = "条目缺陷数")
    private Integer num = 0;

    @ApiModelProperty(value = "条目缺陷占比")
    private Double percent = 0.00d;

    @ApiModelProperty(value = "条目缺陷占比")
    private String percentStr = "0.00%";

    @ApiModelProperty(value = "条目缺陷分值")
    private Double score = 0d;

    @ApiModelProperty(value = "单项否决标识,0-否，1-是")
    private Integer isReject;

    @ApiModelProperty(value = "规则类型(0：无，1：空项，2：错误)")
    private Integer ruleType;

    @ApiModelProperty(value = "医生ID")
    private String doctorId;

    @ApiModelProperty(value = "医生名称")
    private String doctorName;

}
