package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 申诉审批表
 * </p>
 *
 * @author zhanghang
 * @since 2022-01-20
 */
@Getter
@Setter
public class MedAppealExamineInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 申诉审批id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 申诉id
     */
    private Long appealInfoId;

    /**
     * 审核人id
     */
    private Long checkId;

    /**
     * 审核状态：1:驳回|2:通过
     */
    private String exampleStatus;

    /**
     * 审核处理方式： 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复
     */
    private String exampleOperation;

    /**
     * 审核分值
     */
    private BigDecimal value;

    /**
     * 处理结果
     */
    private String processResult;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 提示信息
     */
    private String msg;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

}
