package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 申诉记录表
 * </p>
 *
 * @author zhanghang
 * @since 2022-01-20
 */
@Data
public class MedAppealInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 质控缺陷id
     */
    private Long qcresultDetailId;

    /**
     * 缺陷详情
     */
    private String qcresultDetailMsg;

    /**
     * 缺陷扣分分值
     */
    private BigDecimal qcresultDetaiValue;

    /**
     * 条目ID
     */
    private Long casesEntryId;

    /**
     * 质控条目(新增已有操作才有值)
     */
    private String casesEntryName;

    /**
     * 提示信息(新增已有操作才有值)
     */
    private String casesEntryMsg;

    /**
     * 分值(新增已有操作才有值)
     */
    private BigDecimal value;

    /**
     * 申诉模块id
     */
    private Long modeId;

    /**
     * 模块名称
     */
    private String modeName;

    /**
     * 病历内容
     */
    private String defectContent;

    /**
     * 申诉人id
     */
    private String claimantId;

    /**
     * 申诉类型(0:医生申诉|1:质控申诉)
     */
    private String appealType;

    /**
     * 申诉操作类型（0:删改|1:新增已有|2:新增缺失|3:恢复）
     */
    private String appealOperationType;

    /**
     * 申诉说明
     */
    private String appealExplain;

    /**
     * 审核人id
     */
    private Long checkId;

    /**
     * 当前工作流节点id
     */
    private Long workFlowNodeId;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

}
