package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医院所有配置信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-06
 */
@Getter
@Setter
public class SysHospitalSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 配置名称
     */
    private String name;

    /**
     * 配置编码
     */
    private String code;

    private String value;

    /**
     * 备注
     */
    private String remark;

    @Override
    public String toString() {
        return "SysHospitalSet{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", hospitalId=" + hospitalId +
            ", name=" + name +
            ", code=" + code +
            ", value=" + value +
            ", remark=" + remark +
        "}";
    }
}
