package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统操作日志表
 * </p>
 *
 * @author zhanghang
 * @since 2022-05-09
 */
@Getter
@Setter
public class SysOperationLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 操作人用户ID
     */
    private Long operationId;

    /**
     * 操作人用户名
     */
    private String operationName;

    /**
     * 操作日期
     */
    private Date operationDate;

    /**
     * 操作记录
     */
    private String operationRecord;

    /**
     * ip地址
     */
    private Long operationIp;

    /**
     * 操作地址
     */
    private String operationAddress;

    /**
     * 操作方法
     */
    private String operationMethod;

    /**
     * 操作请求方式
     */
    private String operationWay;

    /**
     * 操作url
     */
    private String operationUrl;

    /**
     * 操作参数
     */
    private String operationParam;

    /**
     * 返回参数
     */
    private String jsonResult;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

}
