package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.SysLoginLogDTO;
import com.diagbot.dto.SysOperationLogDTO;
import com.diagbot.vo.SysLoginLogVO;
import com.diagbot.vo.SysOperationLogVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:日志处理类
 * @author: songxl
 * @time: 2022/5/9 14:33
 */
@Component
public class LogManagementFacade {
    @Autowired
    private LoginLogFacade loginLogFacade;
    @Autowired
    private OperationLogFacade operationLogFacade;

    /**
     *查看登录日志
     *
     * @param sysLoginLogVO
     * @Return com.baomidou.mybatisplus.core.metadata.IPage<com.diagbot.dto.SysLoginLogDTO>
     */
    public IPage<SysLoginLogDTO> getLoginLog(SysLoginLogVO sysLoginLogVO) {
        return loginLogFacade.getLoginLog(sysLoginLogVO);
    }

    /**
     *查看操作日志
     *
     * @param sysOperationLogVO
     * @Return com.baomidou.mybatisplus.core.metadata.IPage<com.diagbot.dto.SysOperationLogDTO>
     */
    public IPage<SysOperationLogDTO> getOperationLog(SysOperationLogVO sysOperationLogVO) {
        return operationLogFacade.getOperationLog(sysOperationLogVO);
    }
}
