package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 医生质控平均分页面统计-接口入参
 * @Author songxl
 * @Date 2022/4/8 13:20
 */
@ApiModel(value = "医生质控平均分页面统计-接口入参")
@Getter
@Setter
public class DoctorAverageStatisticsVO extends Page implements Serializable {
    private static final long serialVersionUID = -6882080859173434502L;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）", required = true)
    @NotBlank(message = "是否归档为空")
    private String isPlacefile = "1";

    @ApiModelProperty(value = "起始时间", required = true)
    @NotBlank(message = "请输入起始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotBlank(message = "请输入结束时间")
    private String endDate;

    @ApiModelProperty(value = "科室名称 '-'时:传值-0 ")
    private String deptName;

    @ApiModelProperty(value = "科室id '-'时:传值-0 ")
    private String deptId;

    @ApiModelProperty(value = "医生名称 '-'时:传值-0 ")
    private String doctorName;

    @ApiModelProperty(value = "医生工号 '-'时:传值-0 ")
    private String doctorId;

    @ApiModelProperty(value = "医院id", hidden = true)
    private String hospitalId;

    @ApiModelProperty(value = "升序")
    private List<String> asc;
    @ApiModelProperty(value = "降序")
    private List<String> desc;
}
