package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 医生质控平均分-患者列表（等级）-导出-接口入参
 * @Author songxl
 * @Date 2022/4/11 9:20
 */
@ApiModel(value = "医生质控平均分-患者列表（等级）-导出-接口入参")
@Getter
@Setter
public class ExportDoctorAverageLevelVO implements Serializable {
    private static final long serialVersionUID = -8083335651050625426L;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）", required = true)
    @NotBlank(message = "是否归档为空")
    private String isPlacefile = "1";

    @ApiModelProperty(value = "(1-导出7天[含缺陷明细项]  2-导出90天[不含缺陷明细项] )")
    private String radioCheck = "1";

    @ApiModelProperty(value = "医院ID",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "医生工号")
    private String doctorCode;

    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "档案号")
    private String fileCode;

    @ApiModelProperty(value = "入院时间开始时间")
    private Date behosDateStart;

    @ApiModelProperty(value = "入院时间结束时间")
    private Date behosDateEnd;

    @ApiModelProperty(value = "出院时间开始时间")
    private Date leaveHosDateStart;

    @ApiModelProperty(value = "出院时间结束时间")
    private Date leaveHosDateEnd;


    @ApiModelProperty(value = "住院科室名称")
    private String deptName;

    @ApiModelProperty(value = "主诊断")
    private String diagnose;

    @ApiModelProperty(hidden = true)
    private Long userId;

    private Long deptId;
    @ApiModelProperty(value = "统计维度 1-本月，2-本年")
    private Integer statisticsType;

    @ApiModelProperty(value = "病历核查状态")
    private Integer checkStatus;

    @ApiModelProperty(value = "病案首页核查状态")
    private Integer mrStatus;

    @ApiModelProperty(value = "病历核查人")
    private String chName;

    @ApiModelProperty(value = "病案首页核查人")
    private String mrName;

    @ApiModelProperty(value = "病历核查开始时间")
    private Date chTimeStart;

    @ApiModelProperty(value = "病历核查结束时间")
    private Date chTimeEnd;

    @ApiModelProperty(value = "病案首页核查开始时间")
    private Date mrTimeStart;

    @ApiModelProperty(value = "病案首页核查结束时间")
    private Date mrTimeEnd;

    @ApiModelProperty("页面类型 1:评分详情页|2:核查详情页|3:申诉详情页")
    private String pageType = "1";
}
