package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 缺陷数量对应的病历-入参
 * @Author: zhanghang
 * @time: 2020/6/16 17:00
 */
@Getter
@Setter
public class GetDetailRecordListPageVO extends Page implements Serializable {

    @ApiModelProperty(value = "用户id" ,hidden = true)
    private Long userId;
    @ApiModelProperty(value = "医院id",hidden = true)
    private String hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "病人姓名")
    private String patName;

    @ApiModelProperty(value = "条目名称")
    private String casesEntryName;

    @ApiModelProperty(value = "(1-导出7天[含缺陷明细项]  2-导出90天[不含缺陷明细项] )")
    @NotNull(message = "导出天数选择不能为空")
    private String radioCheck = "1";

    @ApiModelProperty(value = "主诊断")
    private String diagnose;

    @ApiModelProperty(value = "title名称")
    private String titleName;

    @ApiModelProperty(value = "条目id")
    private Long casesEntryId;

    @ApiModelProperty(value = "模块名称")
    private String casesName;

    @ApiModelProperty(value = "模块id")
    private Long casesId;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "科室id")
    private String deptId;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "医生编号ID")
    private String doctorId;

    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "起始时间")
    @NotNull(message = "请输入起始时间")
    private Date startDate;

    @ApiModelProperty(value = "截止时间")
    @NotNull(message = "请输入截止时间")
    private Date endDate;

    @ApiModelProperty(value = "单项否决")
    private Integer isReject;

    @ApiModelProperty(value = "规则类型(0：无，1：空项，2：错误)")
    private Integer ruleType;

    @ApiModelProperty(value = "离院人员类型（0/null：总人数，1：死亡人数，2：新生儿，3：手术病人数，4：非医嘱离院病人，5:31日再入院病人）")
    private Integer leaveHosType;

    @ApiModelProperty(value = "核查状态（1：已核查，0：未核查）")
    private Integer checkStatus;

    @ApiModelProperty(value = "首页核查状态（1：已核查，0：未核查）")
    private Integer mrStatus;

    @ApiModelProperty(value = "病历核查人员")
    private String chName;

    @ApiModelProperty(value = "首页核查人员")
    private String mrName;

    @ApiModelProperty(value = "病历核查起始时间")
    private Date chTimeStart;

    @ApiModelProperty(value = "病历核查截止时间")
    private Date chTimeEnd;

    @ApiModelProperty(value = "首页核查起始时间")
    private Date mrTimeStart;

    @ApiModelProperty(value = "首页核查截止时间")
    private Date mrTimeEnd;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）")
    private String isPlacefile = "1";

    @ApiModelProperty(value = "住院超过31日标志")
    private Integer beHosGT31Days;

    @ApiModelProperty(value = "改善标志（1：病案首页改善病历，2：病案首页改善至合格病历，3：病案首页改善至满分病历）")
    private Integer improveType;
}
