package com.diagbot.vo;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;


/**
 * 获取缺陷列表入参
 *
 * @Description:
 * @author: zhanghang
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetDoctorDetailPageVO extends Page implements Serializable {


    @ApiModelProperty(value = "统计维度 1-本月，2-本年")
    private Integer type;

    @ApiModelProperty(value = "起始时间")
    @NotBlank(message = "请输入起始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    @NotBlank(message = "请输入结束时间")
    private String endDate;

    @ApiModelProperty(value = "医院id", hidden = true)
    private String hospitalId;

    @ApiModelProperty(value = "用户id", hidden = true)
    private Long userId;

    @ApiModelProperty(value = "缺陷名称")
    private String name;

    @ApiModelProperty(value = "科室名称")
    private String deptName;

    @ApiModelProperty(value = "科室id")
    private String deptId;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "医生id")
    private String doctorId;

    @ApiModelProperty(value = "模块id：243=病案首页")
    private Long casesId;

    @ApiModelProperty(value = "模块名称")
    private String casesName;

    @ApiModelProperty(value = "单项否决")
    private Integer isReject;

    @ApiModelProperty(value = "规则类型(0：无，1：空项，2：错误)")
    private Integer ruleType;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）")
    private String isPlacefile = "1";
}
