package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;


/**
 * @Description:
 * @author: songxl
 * @time: 2022/5/09 14:28
 */
@Getter
@Setter
@ApiModel("操作日志列表页-接口入参")
public class SysOperationLogVO extends Page implements Serializable {

    private static final long serialVersionUID = -6958100906151636839L;

    /**
     * 操作用户
     */
    @ApiModelProperty(value = "操作用户")
    String operationName;
    /**
     * 操作开始时间
     */
    @ApiModelProperty(value = "操作开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    String startDate;

    /**
     * 操作结束时间
     */
    @ApiModelProperty(value = "操作结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    String endDate;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）")
    private String isPlacefile = "0";

}
